<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Asset;
use Modules\Am\Entities\Building;
use Modules\Am\Entities\Floor;
use Modules\Am\Entities\Room;
use Modules\Am\Entities\Site;
use Modules\Am\Entities\Unit;
use Modules\Am\Http\common\commonFeatures;

class AssetListReportController extends Controller
{
    use commonFeatures;

    public function loadSites(){
        try {
                $Site=Site::all();

                return $this->responseBody(true, "loadSites", "found",$Site );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadSites", "error", $exception->getMessage());
        }
    }
    public function loadBuilding($id){
        try {
                $Building=Building::where('SiteID',$id)->get();

                return $this->responseBody(true, "loadBuilding", "found",$Building );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadBuilding", "error", $exception->getMessage());
        }
    }
    public function loadFloor($id){
        try {
                $Floor=Floor::where('BuildingID',$id)->get();

                return $this->responseBody(true, "loadFloor", "found",$Floor );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadFloor", "error", $exception->getMessage());
        }
    }
    public function loadUnit($id){
        try {
                $Unit=Unit::where('FloorID',$id)->get();

                return $this->responseBody(true, "loadUnit", "found",$Unit );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadUnit", "error", $exception->getMessage());
        }
    }
    public function loadRoom($id){
        try {
                $Room=Room::where('FloorID',$id)->get();

                return $this->responseBody(true, "loadRoom", "found",$Room );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadRoom", "error", $exception->getMessage());
        }
    }
    public function loadData(Request $request){
        try {
                $Asset=Asset::where('SiteID',$request->site);
                if(!$request->building==null){
                    $Asset->where('BuildingID',$request->building);
                }
                if(!$request->floor==null){
                    $Asset->where('FloorID',$request->floor);
                }
                if(!$request->unit==null){
                    $Asset->where('UnitID',$request->unit);
                }
                if(!$request->room==null){
                    $Asset->where('RoomID',$request->room);
                }
                $result =$Asset->get();


                return $this->responseBody(true, "loadData", "found",$result );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadData", "error", $exception->getMessage());
        }
    }
}
