<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Asset;
use Modules\Am\Entities\AssetAttachment;
use Modules\Am\Entities\Building;
use Modules\Am\Entities\Employee;
use Modules\Am\Entities\Floor;
use Modules\Am\Entities\InventoryItem;
use Modules\Am\Entities\Room;
use Modules\Am\Entities\Site;
use Modules\Am\Entities\Unit;
use Modules\Am\Http\common\commonFeatures;
use Modules\Am\Entities\PurchaceRequest;


class RegisterNewAssestController extends Controller
{
    use commonFeatures;

    public function save(Request $request)
    {
        try {
            $Asset =new Asset();
            $Asset->AssetNo= 'A'.sprintf('%06d', Asset::max('id')+1) ;
            $Asset->ReferanceNo=$request->get('ReferanceNo') ;
            $Asset->Salvage_value=$request->get('Salvage_value') ;
            $Asset->Asset=$request->get('name') ;
            $Asset->Brand=$request->get('brand');
            $Asset->Model=$request->get('model');
            $Asset->Inventory=$request->get('inventoryid');
            $Asset->Description=$request->get('description');
            $Asset->Value=$request->get('value');
            $Asset->SerialNo=$request->get('serial_no');
            $Asset->PurchaseDate=$request->get('purchase_date');
            $Asset->Vendor=$request->get('vendor');
            $Asset->MaintenanceApplicable=$request->has('maintenance');
            $Asset->MaintenanceApplicableDate=$request->get('dateMaintenance');
            $Asset->LicenseApplicable=$request->has('licenese');
            $Asset->LicenseApplicableDate=$request->get('dateLicense');
            $Asset->ExpireApplicable=$request->has('expire');
            $Asset->ExpireDate=$request->get('dateExpire');
            $Asset->RemindApplicable=$request->has('remind');
            $Asset->RemindDate=$request->get('dateRemind');
            $Asset->RemindText=$request->get('remindtxt');
            $Asset->EmployeeID=$request->get('employee');
            $Asset->Instruction=$request->get('instructions');
            $Asset->RequestID=$request->get('request');
            $Asset->SiteID=$request->get('site');
            $Asset->BuildingID=$request->get('building');
            $Asset->FloorID=$request->get('floor');
            $Asset->UnitID=$request->get('unit');
            $Asset->RoomID=$request->get('room');
            $Asset->DepreciationID=$request->get('depreciation');
            $Asset->Status=true;
            $save=$Asset->save();

            if($request->attachment_arr==!null){
                foreach($request->attachment_arr as $attachmentId){
                    $AssetAttachment = AssetAttachment::find($attachmentId);
                    $AssetAttachment->asset_id = $Asset->id;
                    $AssetAttachment->save();
                }
            }



            if($save){
                return $this->responseBody(true, "Asset", "save", '');
            }
            else{
            return $this->responseBody(false, "Asset", "error", null);
            }

        }
        catch (Exception $exception) {
            return $this->responseBody(false, "Asset", "error", $exception->getMessage());
        }
    }
    public function update(Request $request)
    {
        try {
            $Asset =Asset::find($request->get('hiddenassetID'));
            $Asset->AssetNo=$request->get('asset_No') ;
            $Asset->ReferanceNo=$request->get('ReferanceNo') ;
            $Asset->Salvage_value=$request->get('Salvage_value') ;
            $Asset->Asset=$request->get('name') ;
            $Asset->Brand=$request->get('brand');
            $Asset->Model=$request->get('model');
            $Asset->Inventory=$request->get('inventoryid');
            $Asset->Description=$request->get('description');
            $Asset->Value=$request->get('value');
            $Asset->SerialNo=$request->get('serial_no');
            $Asset->PurchaseDate=$request->get('purchase_date');
            $Asset->Vendor=$request->get('vendor');
            $Asset->MaintenanceApplicable=$request->has('maintenance');
            $Asset->MaintenanceApplicableDate=$request->get('dateMaintenance');
            $Asset->LicenseApplicable=$request->has('licenese');
            $Asset->LicenseApplicableDate=$request->get('dateLicense');
            $Asset->ExpireApplicable=$request->has('expire');
            $Asset->ExpireDate=$request->get('dateExpire');
            $Asset->RemindApplicable=$request->has('remind');
            $Asset->RemindDate=$request->get('dateRemind');
            $Asset->RemindText=$request->get('remindtxt');
            $Asset->EmployeeID=$request->get('employee');
            $Asset->Instruction=$request->get('instructions');
            $Asset->RequestID=$request->get('request');
            $Asset->SiteID=$request->get('site');
            $Asset->BuildingID=$request->get('building');
            $Asset->FloorID=$request->get('floor');
            $Asset->UnitID=$request->get('unit');
            $Asset->RoomID=$request->get('room');
            $Asset->DepreciationID=$request->get('depreciation');
            $Asset->Status=true;
            $save=$Asset->save();

            if($request->attachment_arr==!null){
                foreach($request->attachment_arr as $attachmentId){
                    $AssetAttachment = AssetAttachment::find($attachmentId);
                    $AssetAttachment->asset_id = $Asset->id;
                    $AssetAttachment->save();
                }
            }


            if($save){
                return $this->responseBody(true, "Asset", "updated", "");
            }
            else{
            return $this->responseBody(false, "Asset", "error", null);

            }
        }
        catch (Exception $exception) {
            return $this->responseBody(false, "Asset", "error", $exception->getMessage());
        }
    }
    public function loadinventoryItem()
    {
        try {
            $InventoryItems = InventoryItem::all();

            $inventoryItem_arr = [];
            for ($i = 0; $i < count($InventoryItems); $i++) {
                array_push($inventoryItem_arr, ["img" => "", "id" => $InventoryItems[$i]['id'], "value" => $InventoryItems[$i]['Name']]);
            }
            $responseBody = $this->responseBody(true, "InventoryItems", "found", $inventoryItem_arr);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "InventoryItems", "error", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }
    public function loadasset($id)
    {
        try {
            $Asset = Asset::where('id',$id)->first();

            return $this->responseBody(true, "Asset", "found", $Asset);
        } catch (Exception $exception) {
            return $this->responseBody(false, "Asset", "error", $exception->getMessage());
        }
    }
    public function getinventrynametoid($id)
    {
        try {
            $InventoryItem = InventoryItem::find($id)->first('Name');


            $responseBody = $this->responseBody(true, "getinventrynametoid", "found", $InventoryItem);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "getinventrynametoid", "error", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }
    function upload(Request $request)
    {

        try {
            $file = $request->file('file');
            $file_name = $file->getClientOriginalName();
            $filename = uniqid() . '_' . time() . '.' . $file_name;
            $file->move(public_path('AssetAttachments'), $filename);

            $AssetAttachment = new AssetAttachment();
            $AssetAttachment->file_path = $filename;
            $AssetAttachment->save();
            $responseBody = $this->responseBody(true, "attachment upload", "uploaded", $AssetAttachment->id);

        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "error", "upload", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }
    public function loadattachment(Request $request)
    {
        try {
            $Attachmentdata_arr = [];


            foreach ($request->attachment_arr as $attachmentId){
                if($attachmentId==null){
                    break;
                }
                $AssetAttachment =  AssetAttachment::where('id',$attachmentId)->first();
                array_push($Attachmentdata_arr, ["id" => $AssetAttachment->id, "path" => $AssetAttachment->file_path]);

            }


            $responseBody = $this->responseBody(true, "loadattachment", "found",$Attachmentdata_arr );
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "loadattachment", "error", $exception->getMessage());
        }

        return response()->json(["data" => $responseBody]);
    }
    public function attachmentDelete($id){
        try {
                $AssetAttachment=AssetAttachment::find($id)->delete();
                return $this->responseBody(true, "attachmentDelete", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "attachmentDelete", "error", $exception->getMessage());
        }
    }


    public function allLocation()
    {
        try {
            $sites = Site::all();
            $buildings = Building::all();
            $floors = Floor::all();
            $units = Unit::all();
            $rooms = Room::all();
            $response =  $this->responseBody(true, "Location", "allLocation", ['sites' => $sites, 'buildings' => $buildings, 'floors' => $floors, 'units' => $units, 'rooms' => $rooms]);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Location", "allLocation", $exception);
        }
        return $response;
    }



    public function allBuilding($site)
    {
        try {
            $buildings = Building::where('SiteID', '=', $site)->get();
            if (count($buildings) == 0 && $site == '1'/*Unspecified*/) {
                $buildings = Building::all();
            }
            $response =  $this->responseBody(true, "Building", "allBuilding", $buildings);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Building", "allBuilding", $exception);
        }
        return $response;
    }




    public function allFloor($building)
    {
        try {
            $floors = Floor::where('BuildingID', '=', $building)->get();
            if (count($floors) == 0 && $building == '1'/*Unspecified*/) {
                $floors = Floor::all();
            }

            $response =  $this->responseBody(true, "Floor", "allFloor", $floors);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Floor", "allFloor", $exception);
        }
        return $response;
    }



    public function allUnit($floor)
    {
        try {
            $units = Unit::where('FloorID', '=', $floor)->get();
            if (count($units) == 0 && $floor == '1'/*Unspecified*/) {
                $units = Unit::all();
            }

            $response =  $this->responseBody(true, "Unit", "allUnit", $units);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Unit", "allUnit", $exception);
        }
        return $response;
    }



    public function allRoom($floor)
    {
        try {
            $rooms = Room::where('FloorID', '=', $floor)->get();
            if (count($rooms) == 0 && $floor == '1'/*Unspecified*/) {
                $rooms = Room::all();
            }

            $response =  $this->responseBody(true, "Room", "allRoom", $rooms);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Room", "allRoom", $exception);
        }
        return $response;
    }



    public function allEmployee()
    {
        try {
            $employees = Employee::all();
            $response =  $this->responseBody(true, "Employee", "allEmployee", $employees);
        } catch (Exception $exception) {
            $response =  $this->responseBody(false, "Employee", "allEmployee", $exception);
        }
        return $response;
    }

    public function loadRequests(){
        try {

            $PurchaceRequest=PurchaceRequest::where('Approval',1)->get();

            return $this->responseBody(true, "loadRequests", "found",$PurchaceRequest );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadRequests", "error", $exception->getMessage());
        }
    }

}
