
var buildingID = null;
$(document).ready(function () {

    $('#tblBuilding').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thBuildingID" },
            { "data": "thBuildingName" },
            { "data": "thBuildingView" },
            { "data": "thBuildingDelete" },
        ],
        columnDefs: [
            { width: 80, targets: 0 },
            { width: 30, targets: 2 },
            { width: 30, targets: 3 },
        ],
    });
    allBuilding();



    $('#btnBuilding').on('click', function (event) {

        var request = new RequestFormData();
        request.setFormData({ 'site': $('#cmbSite').val(), 'building': $('#txtBuilding').val() });

        if ($(this).text() == 'Save') {

            request.setRoute('/am/building/save');

            if (request.save()) {
                toastr.success('data saved');
            } else {
                toastr.error('Something went wrong');
            }


        } else if ($(this).text() == 'Update') {

            request.setID(buildingID);
            request.setRoute('/am/building/update');

            if (request.update()) {
                toastr.success('data updated');
            } else {
                toastr.error('Something went wrong');
            }


        }
        allBuilding();

    });

    $('#pills-building-tab').on('click', function () {
        loadAllSite_Combo();
    });

});

function loadAllSite_Combo() {
    $.ajax({
        type: "GET",
        url: '/am/building/allSite',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            $('#cmbSite').empty();
            for (var i = 0; i < response.result.length; i++) {
                $('#cmbSite').append('<option value="' + response.result[i].id + '">' + response.result[i].Site + '</option>');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

}



function allBuilding() {
    $.ajax({
        type: "GET",
        url: '/am/building/all',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var table = $('#tblBuilding').DataTable();
            table.clear();
            table.rows.add(response.result).draw();


        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });

    resetBuilding();
}







function editBuilding(id) {
    getBuilding(id);
}

function deleteBuilding(id) {


    var request = new RequestFormData();
    request.setID(id);
    request.setFormData({'related': 'Building' });
    request.setRoute('/am/location/isRelated');
    var isRelated = HttpRequest.isRelated(request);
    if (isRelated) {
        toastr.warning('Cannot delete data');
    } else {
        request.setRoute('/am/building/delete');
        var status = request._delete();
        if (status) {
            toastr.success('data deleted');
        } else {
            toastr.error('Something went wrong');
        }
    }

    allBuilding();
}




function getBuilding(id) {
    $.ajax({
        type: "GET",
        url: '/am/building/getBuilding/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                $('#txtBuilding').val(response.result.Building);
                buildingID = response.result.id;
                siteID = response.result.SiteID;
                $('#btnBuilding').text('Update');
                setSelectedOption('cmbSite', siteID);
            } else {
                toastr.error('Something went wrong');
            }



        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {

        }

    });
}



function resetBuilding() {
    $("#LocationForm").get(0).reset();
    $('#btnBuilding').text('Save');
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}