@extends('am::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>
<meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Employee</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>

                <li class="breadcrumb-item active" aria-current="page">Employee</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Employee</h6>
                <div class="row">
                    <div class="col-md-8">
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>Employee ID</label>
                                <input type="text" class="form-control" id="txtID">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>Name</label>
                                <input type="text" class="form-control" id="txtName">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>NIC</label>
                                <input type="text" class="form-control" id="txtNIC">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>Phone Number</label>
                                <input type="text" class="form-control" id="txtPhone">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>Email</label>
                                <input type="text" class="form-control" id="txtEmail">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>Department</label>
                                <select class="form-control" id="cmbDepartment"></select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label>Designation</label>
                                <select class="form-control" id="cmbDesignation"></select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 mb-3">
                                <label>Approval Authority</label>
                            </div>
                            <div class="col-md-2 mb-3">
                                <input type="radio" class="form-check-input" id="radioYes" name="radioApprove">Yes
                            </div>
                            <div class="col-md-2 mb-3">
                                <input type="radio" class="form-check-input" id="radioNo" checked="" name="radioApprove">No
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2 mb-3">
                                <button type="button" class="btn btn-primary" id="btnAction">Save</button>
                            </div>
                        </div>
                    </div>
                </div>

                <hr>
                <div class="row">
                    <div class="col-md-12 mt-2">
                        <div class="table-responsive">
                            <table id="tblEmployee" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                <thead>
                                    <tr>
                                        <th class="thID">#</th>
                                        <th class="thEmployeeID">Employee ID</th>
                                        <th class="theName">Name</th>
                                        <th class="thNIC">NIC</th>
                                        <th class="thEmail">Email</th>
                                        <th class="thPhone">Phone No</th>
                                        <th class="thDesignation">Designation</th>
                                        <th class="thDepartment">Department</th>
                                        <th class="thAuthority">Authority</th>
                                        <th class="thEdit">Edit</th>
                                        <th class="thDelete">Delete</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <button id="btnexpt" type="button" class="btn btn-primary mr-2">Export</button>

                    </div>
                </div>

            </div>
        </div>

    </div>
</div>


@endsection
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ Module::asset('am:js/HttpRequestFormData.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/employee.js') }}?random=<?php echo uniqid(); ?>"></script>



@endsection
