@extends('am::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <script type="text/javascript" src="https://unpkg.com/xlsx@0.15.1/dist/xlsx.full.min.js"></script>


    <meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>Inventory Item</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>

                    <li class="breadcrumb-item active" aria-current="page">Inventory Item</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">

            <div class="card">
                <div class="card-body">
                    <h4 class="card-title"></h4>
                    <p class="card-description">  </p>
                    <form class="forms-sample" id="dform">
                        <div class="form-group">
                            <label for="exampleInputName1">Name</label>
                            <input type="text" class="form-control" id="txtName" name="name" placeholder="Inventory Name">
                            <input type="hidden" class="form-control" name="id" id="txtID" placeholder="hidden ID">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName1">Unit</label>
                            <input type="text" class="form-control" id="txtUnit" name="unit" placeholder="Unit">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName1">Life Time(Years)</label>
                            <input type="text" class="form-control" id="txtLifeTime" name="lifetime" placeholder="Unit">
                        </div>
                        <div class="form-group">
                            <label for="exampleFormControlSelect2">Group 1</label>
                            <select class="form-control" name="group1" id="cmbgroup1"></select>
                        </div>
                        <div class="form-group">
                            <label for="exampleFormControlSelect2">Group 2</label>
                            <select class="form-control" name="group2" id="cmbgroup2"></select>
                        </div>
                        <div class="form-group">
                            <label for="exampleFormControlSelect2">Group 3</label>
                            <select class="form-control" name="group3" id="cmbgroup3"></select>
                        </div>

                        <button type="button" id="btnsave" class="btn btn-primary mr-2">Save</button>
                    </form>

                </div>
            </div>
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">

                        <table id="tblinventory" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                    <tr>
                                        <th class="thid">#</th>
                                        <th class="thname"> Name</th>
                                        <th class="thunit"> Unit</th>
                                        <th class="thgroup1"> Group 1</th>
                                        <th class="thgroup2"> Group 2</th>
                                        <th class="thgroup3"> Group 3</th>
                                        <th class="edit"> Edit</th>
                                        <th class="delete"> Delete</th>

                                    </tr>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                    <button id="btnexpt" type="button" class="btn btn-primary mr-2">Export</button>

                </div>

            </div>

        </div>
    </div>


@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ url('assets/js/examples/datatable.js') }}"></script>
    <script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>

    <!-- my script  -->
    <script src="{{ Module::asset('am:js/inventoryItem.js') }}?random=<?php echo uniqid(); ?>"></script>



@endsection
