@extends('am::layouts.app')

@section('head')
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Locations</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>

                <li class="breadcrumb-item active" aria-current="page">Locations</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card ">
            <form method="POST" id="LocationForm" enctype="multipart/form-data">
                <div class="card-body">
                    <h6 class="card-title">Location</h6>
                    <ul class="nav nav-pills mb-3" role="tablist" id="navMenuItem">
                        <li class="nav-item">
                            <a class="nav-link active" id="pills-site-tab" data-toggle="pill" href="#tbSite" role="tab" aria-controls="pills-site" aria-selected="true">Site</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-building-tab" data-toggle="pill" href="#tbBuilding" role="tab" aria-controls="pills-building" aria-selected="false">Building</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-floor-tab" data-toggle="pill" href="#tbFloor" role="tab" aria-controls="pills-floor" aria-selected="false">Floor</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-unit-tab" data-toggle="pill" href="#tbUnit" role="tab" aria-controls="pills-unit" aria-selected="false">Unit</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-room-tab" data-toggle="pill" href="#tbRoom" role="tab" aria-controls="pills-room" aria-selected="false">Room</a>
                        </li>
                    </ul>
                    <br>


                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="tbSite" role="tabpanel" aria-labelledby="pills-site-tab">
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Site</label>
                                    <input type="text" class="form-control" id="txtSite" name="site" placeholder="Site">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 mb-5">
                                    <button type="button" class="btn btn-primary" id="btnSite">Save</button>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-md-12 mt-2">
                                    <div class="table-responsive">
                                        <table id="tblSite" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                            <thead>
                                                <tr>
                                                    <th class="thSiteId">#</th>
                                                    <th class="thSiteName">Site</th>
                                                    <th class="thSiteView">View</th>
                                                    <th class="thSiteDelete">Delete</th>
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tbBuilding" role="tabpanel" aria-labelledby="pills-building-tab">

                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Site</label>
                                    <select class="form-control" id="cmbSite"></select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Building</label>
                                    <input type="text" class="form-control" id="txtBuilding" name="building" placeholder="Building">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 mb-5">
                                    <button type="button" class="btn btn-primary" id="btnBuilding">Save</button>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-md-12 mt-2">
                                    <div class="table-responsive">
                                        <table id="tblBuilding" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                            <thead>
                                                <tr>
                                                    <th class="thBuildingID">#</th>
                                                    <th class="thBuildingName">Building</th>
                                                    <th class="thBuildingView" style="width: 30px;">View</th>
                                                    <th class="thBuildingDelete" style="width: 30px;">Delete</th>
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tbFloor" role="tabpanel" aria-labelledby="pills-floor-tab">
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Building</label>
                                    <select class="form-control" id="cmbBuilding"></select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Floor</label>
                                    <input type="text" class="form-control" id="txtFloor" name="floor" placeholder="Floor">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 mb-5">
                                    <button type="button" class="btn btn-primary" id="btnFloor">Save</button>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-md-12 mt-2">
                                    <div class="table-responsive">
                                        <table id="tblFloor" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                            <thead>
                                                <tr>
                                                    <th class="thFloorID">#</th>
                                                    <th class="thFloorName">Floor</th>
                                                    <th class="thFloorView">View</th>
                                                    <th class="thFloorDelete">Delete</th>
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tbUnit" role="tabpanel" aria-labelledby="pills-unit-tab">
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Floor</label>
                                    <select class="form-control" id="cmbFloor"></select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Unit</label>
                                    <input type="text" class="form-control" id="txtUnit" name="unit" placeholder="Unit">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 mb-5">
                                    <button type="button" class="btn btn-primary" id="btnUnit">Save</button>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-md-12 mt-2">
                                    <div class="table-responsive">
                                        <table id="tblUnit" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                            <thead>
                                                <tr>
                                                    <th class="thUnitID">#</th>
                                                    <th class="thUnitName">Unit</th>
                                                    <th class="thUnitView">View</th>
                                                    <th class="thUnitDelete">Delete</th>
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tbRoom" role="tabpanel" aria-labelledby="pills-room-tab">
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Floor</label>
                                    <select class="form-control" id="cmbFloorRoom"></select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mb-3">
                                    <label>Room</label>
                                    <input type="text" class="form-control" id="txtRoom" name="room" placeholder="Room">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 mb-5">
                                    <button type="button" class="btn btn-primary" id="btnRoom">Save</button>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-md-12 mt-2">
                                    <div class="table-responsive">
                                        <table id="tblRoom" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                                            <thead>
                                                <tr>
                                                    <th class="thRoomID">#</th>
                                                    <th class="thRoomName">Room</th>
                                                    <th class="thRoomView">View</th>
                                                    <th class="thRoomDelete">Delete</th>
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

<!-- App scripts -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<script src="{{ Module::asset('am:js/location/site.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/location/building.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/location/floor.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/location/unit.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/location/room.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/location/HttpRequest.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('am:js/location/RequestFormData.js') }}?random=<?php echo uniqid(); ?>"></script>

@endsection
