@extends('am::layouts.app')

@section('head')
 <!-- DataTable -->
 <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <!-- AutoComplete -->
    <link rel="stylesheet" href="{{ Module::asset('am:js/autocomplete/css/autocomplete.min.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/dropzone/dropzone.css') }}" type="text/css">

    <meta name="csrf-token" content="{{ csrf_token() }}">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3>Register New Asset</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Register New Asset</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Asset Details</h6>
                <form class="needs-validation" id="assetRegisterrForm" novalidate="">
                    <div class="form-row" id="assetnorow">
                        <div class="col-md-12 mb-3">
                            <label for="txtFullName">Asset No</label>
                            <input type="hidden" class="form-control" id="txthiddenassetID" placeholder="Asset No" name="hiddenassetID">
                            <input type="text" class="form-control" id="txtassetNo" readonly placeholder="Asset No" name="asset_No" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="txtFullName">Referance No</label>
                            <input type="text" class="form-control" id="txtReferanceNo" placeholder="Referance No" name="ReferanceNo" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="txtFullName">Name OF Asset</label>
                            <input type="text" class="form-control" id="txtname" name="name" placeholder="name" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-6 mb-3">
                            <label for="validationCustom03">Brand</label>
                            <input type="text" class="form-control" id="txtbrand" name="brand" placeholder="Brand" required="">
                            <div class="invalid-feedback">
                                Please provide a valid city.
                            </div>
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="validationCustom03">Model</label>
                            <input type="text" class="form-control" id="txtmodel" name="model" placeholder="Model" required="">
                            <div class="invalid-feedback">
                                Please provide a valid city.
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="txtFullName">Inventory</label>
                            <input type="hidden" class="form-control auto-complete" id="hiddentxtinventory" placeholder="Inventory" name="inventoryid" required="">
                            <input type="text" class="form-control auto-complete" id="txtinventory" placeholder="Inventory" name="inventory" required="">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="txtFullName">Description</label>
                            <textarea type="text" class="form-control" id="txtDescription" placeholder="Description" name="description" required=""></textarea>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="txtFullName">Salvage value</label>
                            <input type="number" class="form-control" id="txtsalvagevalue" name="Salvage_value" placeholder="Salvage value">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <label for="exampleInputName1">Value</label>
                            <input type="number" class="form-control" id="txtValue" name="value" placeholder="Value">
                            <div class="invalid-feedback">
                                Please provide a valid city.
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="exampleInputName1">Serial No</label>
                            <input type="text" class="form-control" name="serial_no" id="txtSerialNo" placeholder="Serial No">
                            <div class="invalid-feedback">
                                Please provide a valid state.
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="exampleInputName1">Purchase Date</label>
                            <input type="date" class="form-control" name="purchase_date" id="dpPuchaseDate" placeholder="Serial No">
                            <div class="invalid-feedback">
                                Please provide a valid zip.
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="exampleInputName1">Vendor</label>
                            {{-- <input type="text" class="form-control" id="txtVendor" name="vendor" placeholder="Vendor"> --}}
                            <select class="form-control" name="vendor" id="cmbVendor">
                                <!--<option value="1">unspecified</option>-->

                            </select>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input id="chxMaintenance" name="maintenance" type="checkbox" class="form-check-input"> Maintenance Applicable
                                </label>
                            </div>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <input type="date" class="form-control" id="txtdateMaintenance" name="dateMaintenance">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input id="chxLicenese" name="licenese" type="checkbox" class="form-check-input"> License Applicable
                                </label>
                            </div>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <input type="date" id="txtdateLicense" name="dateLicense" class="form-control">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input id="chxExpire" name="expire" type="checkbox" class="form-check-input"> Expire Applicable
                                </label>
                            </div>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <input type="date" class="form-control" name="dateExpire" id="txtdateExpire">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input id="chxRemind" name="remind" type="checkbox" class="form-check-input"> Remind Applicable
                                </label>
                            </div>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <input type="date" class="form-control" name="dateRemind" id="txtdateRemind">
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="exampleInputName1">Remind Text</label>
                            <textarea class="form-control" id="textRemind" name="remindtxt" placeholder="Remind Text" rows="2"></textarea>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="exampleFormControlSelect2">Employee</label>
                            <select class="form-control" name="employee" id="cmbEmployee">
                                <option value="1">unspecified</option>

                            </select>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="exampleTextarea1">Instructions</label>
                            <textarea class="form-control" name="instructions" id="txtInstruction" rows="3"></textarea>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12 mb-3">
                            <label for="exampleInputName1">Request</label>
                            <select class="form-control" name="request" id="cmbRequest">
                                <option value="1">unspecified</option>

                            </select>
                            <div class="valid-feedback">
                                Looks good!
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <label for="exampleFormControlSelect2">Site</label>
                            <select class="form-control" name="site" id="cmbSite">
                                <!--<option value="1">unspecified</option>-->

                            </select>
                            <div class="invalid-feedback">
                                Please provide a valid city.
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="exampleFormControlSelect2">Building</label>
                            <select class="form-control" name="building" id="cmbBuilding">
                                <!--<option value="1">unspecified</option>-->

                            </select>
                            <div class="invalid-feedback">
                                Please provide a valid state.
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="exampleFormControlSelect2">Floor</label>
                            <select class="form-control" name="floor" id="cmbFloor">
                                <!--<option value="1">unspecified</option>-->

                            </select>
                            <div class="invalid-feedback">
                                Please provide a valid zip.
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-4 mb-3">
                            <label for="exampleFormControlSelect2">Unit</label>
                            <select class="form-control" name="unit" id="cmbUnit">
                                <!--<option value="1">unspecified</option>-->

                            </select>
                            <div class="invalid-feedback">
                                Please provide a valid city.
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="exampleFormControlSelect2">Room</label>
                            <select class="form-control" name="room" id="cmbRoom">
                                <!--<option value="1">unspecified</option>-->

                            </select>
                            <div class="invalid-feedback">
                                Please provide a valid state.
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label for="exampleFormControlSelect2">Depreciation</label>
                            <select class="form-control" name="depreciation" id="txtDepreciation">
                                <option value="0">Straight-line</option>
                            </select>
                            <div class="invalid-feedback">
                                Please provide a valid zip.
                            </div>
                        </div>
                    </div>


                        <br>

                        <div class="form-row mt-2 mb-3 ml-1">
                            <button type="button" id="btnAttachment" class="btn btn-primary" onclick="openModal()">Attachment</button>
                        </div>

                        <br>

                        <div class="row" id='rowAtachmentTable'>
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <!-- Required for Responsive -->
                                    <table id="myTable" class="table table-striped  datatable">
                                        <thead>
                                            <tr>
                                                <th class="thTitle">Title</th>
                                                <th class="thView">View</th>
                                                <th class="thDownload">Down</th>
                                                <th class="thDelete" id="thDelete">Delete</th>
                                            </tr>
                                        </thead>
                                        <tbody></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

                        <br>




                        <button id="btnsave" class="btn btn-primary" type="button">Save</button>
                    </form>
                </div>
            </div>
        </div>

    </div>
    <!--Attachment-->
    <div class="modal fade" id="attachmentAddModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="attachmentAddModalTitle">Add attachment here</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <div class="modal-body" id="attachmentAddModalBody">
                    <div class="row">
                        <div class="col-md-12">
                            <form action="{{route('upload')}}" class="dropzone" method="POST" id="myAwesomeDropzone" name="myAwesomeDropzone">
                                <div class="fallback">
                                    <input name="file" type="file" multiple />
                                </div>
                                @csrf
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        {{-- <button type="button" id="uploadPhoto">Upload Photo</button> --}}
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                        </button>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ url('assets/js/examples/datatable.js') }}"></script>
<script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<!-- AutoComplete -->
<script src="{{ Module::asset('am:js/autocomplete/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<!-- my script  -->
<script src="{{ Module::asset('am:js/registerNewAssest.js') }}?random=<?php echo uniqid(); ?>"></script>



@endsection
