<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;
use Modules\Am\Http\Controllers\ActiveAssetListController;
use Modules\Am\Http\Controllers\AssetListReportController;
use Modules\Am\Http\Controllers\BuildingController;
use Modules\Am\Http\Controllers\CreateUsersController;
use Modules\Am\Http\Controllers\DepartmentController;
use Modules\Am\Http\Controllers\DepreciationShedulecontroller;
use Modules\Am\Http\Controllers\DesignationController;
use Modules\Am\Http\Controllers\EmployeeController;
use Modules\Am\Http\Controllers\ExpireApplicableListController;
use Modules\Am\Http\Controllers\FloorController;
use Modules\Am\Http\Controllers\Group1Controller;
use Modules\Am\Http\Controllers\Group2Controller;
use Modules\Am\Http\Controllers\Group3Controller;
use Modules\Am\Http\Controllers\InventoryActiveListController;
use Modules\Am\Http\Controllers\InventoryItemController;
use Modules\Am\Http\Controllers\LicenseApplicableListController;
use Modules\Am\Http\Controllers\LocationController;
use Modules\Am\Http\Controllers\MaintananceDueListReportController;
use Modules\Am\Http\Controllers\PrintBarcodeController;
use Modules\Am\Http\Controllers\PurchasenewassestController;
use Modules\Am\Http\Controllers\PurchasenewassestlistController;
use Modules\Am\Http\Controllers\PurchaseNewAssestRejectListController;
use Modules\Am\Http\Controllers\RegisterNewAssestController;
use Modules\Am\Http\Controllers\RequestController;
use Modules\Am\Http\Controllers\RoomController;
use Modules\Am\Http\Controllers\SiteController;
use Modules\Am\Http\Controllers\UnitController;
use Modules\Am\Http\Controllers\UseracessController;
use Modules\Am\Http\Controllers\UserroleController;
use Modules\Am\Http\Controllers\VendorController;


Route::group(['middleware' => ['is.logged']], function () { //logged users route group



    Route::prefix('am')->group(function () {

        Route::get('/dashboard', function () {
            return view('am::dashbord');
        });

        Route::get('/registerNewAssest', function () {
            return view('am::registerNewAssest');
        });
        Route::get('/inventoryItem', function () {
            return view('am::inventoryItem');
        });
        Route::get('/group1', function () {
            return view('am::group1');
        });
        Route::get('/group2', function () {
            return view('am::group2');
        });
        Route::get('/group3', function () {
            return view('am::group3');
        });
        Route::get('/inventoryactivelist', function () {
            return view('am::inventoryactivelist');
        });
        Route::get('/activeAssetList', function () {
            return view('am::activeAssetList');
        });
        Route::get('/location', function () {
            return view('am::location');
        });
        Route::get('/department', function () {
            return view('am::department');
        });
        Route::get('/designation', function () {
            return view('am::designation');
        });
        Route::get('/employee', function () {
            return view('am::employee');
        });
        Route::get('/vendor', function () {
            return view('am::vendor');
        });
        Route::get('/purchasenewassest', function () {
            return view('am::purchasenewassest');
        });
        Route::get('/purchasenewassestlist', function () {
            return view('am::purchasenewassestlist');
        });
        Route::get('/request', function () {
            return view('am::request');
        });
        Route::get('/depreciationShedule', function () {
            return view('am::depreciationShedule');
        });
        Route::get('/userrole', function () {
            return view('am::userrole');
        });
        Route::get('/useracess', function () {
            return view('am::useracess');
        });
        Route::get('/createUser', function () {
            return view('am::createUser');
        });
        Route::get('/printBarcodeLable', function () {
            return view('am::printBarcodeLable');
        });
        Route::get('/Maintanance_due_list', function () {
            return view('am::maintananceDueList');
        });
        Route::get('/expireApplicableList', function () {
            return view('am::expireApplicableList');
        });
        Route::get('/licenseApplicableList', function () {
            return view('am::licenseApplicableList');
        });
        Route::get('/assetListReport', function () {
            return view('am::assetListReport');
        });
        Route::get('/purchaseNewAssestRejectList', function () {
            return view('am::purchaseNewAssestRejectList');
        });
        // group1
        Route::post('/group1/save', [Group1Controller::class, 'save']);
        Route::post('/group1/update', [Group1Controller::class, 'update']);
        Route::get('/group1/loadgroup1', [Group1Controller::class, 'loadgroup1']);
        Route::get('/group1/loadgroup1/{id}', [Group1Controller::class, 'editgroup1']);
        Route::delete('/group1/deletegroup1/{id}', [Group1Controller::class, 'deletegroup1']);

        // group2
        Route::post('/group2/save', [Group2Controller::class, 'save']);
        Route::post('/group2/update', [Group2Controller::class, 'update']);
        Route::get('/group2/loadgroup2', [Group2Controller::class, 'loadgroup2']);
        Route::get('/group2/loadgroup1', [Group2Controller::class, 'loadgroup1']);
        Route::get('/group2/loadgroup2/{id}', [Group2Controller::class, 'editgroup2']);
        Route::delete('/group2/deletegroup2/{id}', [Group2Controller::class, 'deletegroup2']);

        // group3
        Route::post('/group3/save', [Group3Controller::class, 'save']);
        Route::post('/group3/update', [Group3Controller::class, 'update']);
        Route::get('/group3/loadgroup3', [Group3Controller::class, 'loadgroup3']);
        Route::get('/group3/loadgroup2', [Group3Controller::class, 'loadgroup2']);
        Route::get('/group3/loadgroup3/{id}', [Group3Controller::class, 'editgroup3']);
        Route::delete('/group3/deletegroup3/{id}', [Group3Controller::class, 'deletegroup3']);

        //  inventoryItem
        Route::post('/inventoryItem/save', [InventoryItemController::class, 'save']);
        Route::post('/inventoryItem/update', [InventoryItemController::class, 'update']);
        Route::get('/inventoryItem/loadgroup2/{id}', [InventoryItemController::class, 'loadgroup2']);
        Route::get('/inventoryItem/loadgroup3/{id}', [InventoryItemController::class, 'loadgroup3']);
        Route::get('/inventoryItem/loadinventoryItem', [InventoryItemController::class, 'loadinventoryItem']);
        Route::delete('/inventoryItem/deleteinventoryItem/{id}', [InventoryItemController::class, 'deleteinventoryItem']);
        Route::get('/inventoryItem/loadinventoryItem/{id}', [InventoryItemController::class, 'editinventoryItem']);

        // registerNewAssest
        Route::post('/registerNewAssest/save', [RegisterNewAssestController::class, 'save']);
        Route::post('/registerNewAssest/update', [RegisterNewAssestController::class, 'update']);
        Route::get('/registerNewAssest/loadinventoryItem', [RegisterNewAssestController::class, 'loadinventoryItem']);
        Route::get('/registerNewAssest/loadasset/{id}', [RegisterNewAssestController::class, 'loadasset']);
        Route::get('/registerNewAssest/getinventrynametoid/{id}', [RegisterNewAssestController::class, 'getinventrynametoid']);
        Route::post('/registerNewAssest/attachment/upload', [RegisterNewAssestController::class, 'upload'])->name('upload');
        Route::get('/registerNewAssest/loadattachment', [RegisterNewAssestController::class, 'loadattachment']);
        Route::get('/registerNewAssest/attachmentDelete/{id}', [RegisterNewAssestController::class, 'attachmentDelete']);
        Route::get('/registerNewAssest/loadRequests', [RegisterNewAssestController::class, 'loadRequests']);


        Route::get('/registerNewAssest/allLocation', [RegisterNewAssestController::class, 'allLocation']);
        Route::get('/registerNewAssest/allBuilding/{site}', [RegisterNewAssestController::class, 'allBuilding']);
        Route::get('/registerNewAssest/allFloor/{building}', [RegisterNewAssestController::class, 'allFloor']);
        Route::get('/registerNewAssest/allUnit/{floor}', [RegisterNewAssestController::class, 'allUnit']);
        Route::get('/registerNewAssest/allRoom/{floor}', [RegisterNewAssestController::class, 'allRoom']);
        Route::get('/registerNewAssest/allEmployee', [RegisterNewAssestController::class, 'allEmployee']);


        // inventoryactivelist
        Route::get('/inventoryactivelist/loadinventoryItems', [InventoryActiveListController::class, 'loadinventoryItems']);

        // activeAssetList
        Route::get('/activeAssetList/loadAssets/{id}', [ActiveAssetListController::class, 'loadAssets']);

        //Site
        Route::post('/site/save', [SiteController::class, 'save']);
        Route::put('/site/update/{id}', [SiteController::class, 'update']);
        Route::delete('/site/delete/{id}', [SiteController::class, 'delete']);
        Route::get('/site/all', [SiteController::class, 'all']);
        Route::get('/site/getSite/{id}', [SiteController::class, 'getSite']);


        //Building
        Route::get('/building/allSite', [BuildingController::class, 'allSite']);
        Route::post('/building/save', [BuildingController::class, 'save']);
        Route::put('/building/update/{id}', [BuildingController::class, 'update']);
        Route::delete('/building/delete/{id}', [BuildingController::class, 'delete']);
        Route::get('/building/all', [BuildingController::class, 'all']);
        Route::get('/building/getBuilding/{id}', [BuildingController::class, 'getBuilding']);


        //Floor
        Route::get('/floor/allBuilding', [FloorController::class, 'allBuilding']);
        Route::post('/floor/save', [FloorController::class, 'save']);
        Route::put('/floor/update/{id}', [FloorController::class, 'update']);
        Route::delete('/floor/delete/{id}', [FloorController::class, 'delete']);
        Route::get('/floor/all', [FloorController::class, 'all']);
        Route::get('/floor/getFloor/{id}', [FloorController::class, 'getFloor']);


        //Unit
        Route::get('/unit/allFloor', [UnitController::class, 'allFloor']);
        Route::post('/unit/save', [UnitController::class, 'save']);
        Route::put('/unit/update/{id}', [UnitController::class, 'update']);
        Route::delete('/unit/delete/{id}', [UnitController::class, 'delete']);
        Route::get('/unit/all', [UnitController::class, 'all']);
        Route::get('/unit/getUnit/{id}', [UnitController::class, 'getUnit']);


        //Room
        Route::get('/room/allFloor', [RoomController::class, 'allFloor']);
        Route::post('/room/save', [RoomController::class, 'save']);
        Route::put('/room/update/{id}', [RoomController::class, 'update']);
        Route::delete('/room/delete/{id}', [RoomController::class, 'delete']);
        Route::get('/room/all', [RoomController::class, 'all']);
        Route::get('/room/getRoom/{id}', [RoomController::class, 'getRoom']);

        //Location
        Route::get('/location/isRelated/{id}', [LocationController::class, 'isRelated']);



        //Department
        Route::post('/department/save', [DepartmentController::class, 'save']);
        Route::get('/department/all', [DepartmentController::class, 'all']);
        Route::get('/department/get/{id}', [DepartmentController::class, 'get']);
        Route::put('/department/update/{id}', [DepartmentController::class, 'update']);
        Route::delete('/department/delete/{id}', [DepartmentController::class, 'delete']);


        //Designation
        Route::post('/designation/save', [DesignationController::class, 'save']);
        Route::get('/designation/all', [DesignationController::class, 'all']);
        Route::get('/designation/get/{id}', [DesignationController::class, 'get']);
        Route::put('/designation/update/{id}', [DesignationController::class, 'update']);
        Route::delete('/designation/delete/{id}', [DesignationController::class, 'delete']);


        //Employee
        Route::get('/employee/allDepartment_Designation', [EmployeeController::class, 'allDepartment_Designation']);
        Route::post('/employee/save', [EmployeeController::class, 'save']);
        Route::get('/employee/all', [EmployeeController::class, 'all']);
        Route::get('/employee/get/{id}', [EmployeeController::class, 'get']);
        Route::put('/employee/update/{id}', [EmployeeController::class, 'update']);
        Route::delete('/employee/delete/{id}', [EmployeeController::class, 'delete']);

        // vendor
        Route::post('/vendor/save', [VendorController::class, 'save']);
        Route::post('/vendor/update', [VendorController::class, 'update']);
        Route::get('/vendor/loadvendor', [VendorController::class, 'loadvendor']);
        Route::get('/vendor/loadvendor/{id}', [VendorController::class, 'editvendor']);
        Route::delete('/vendor/deletevendor/{id}', [VendorController::class, 'deletevendor']);

        // purchasenewassest
        Route::post('/purchasenewassest/save', [PurchasenewassestController::class, 'save']);
        Route::post('/purchasenewassest/update', [PurchasenewassestController::class, 'update']);
        Route::get('/purchasenewassest/loadrequestedfromandto', [PurchasenewassestController::class, 'loadrequestedfromandto']);
        Route::get('/purchasenewassest/loademployee', [PurchasenewassestController::class, 'loademployee']);
        Route::get('/purchasenewassest/loademployeeapprove', [PurchasenewassestController::class, 'loademployeeapprove']);
        Route::get('/purchasenewassest/loadRequest/{id}', [PurchasenewassestController::class, 'loadRequest']);
        Route::post('/purchasenewassest/attachment/uploadQuote', [PurchasenewassestController::class, 'uploadQuote']);
        Route::get('/purchasenewassest/loadQuatation/{id}', [PurchasenewassestController::class, 'loadQuatation']);
        Route::delete('/purchasenewassest/deleteQuatation/{id}', [PurchasenewassestController::class, 'deleteQuatation']);
        Route::POST('/purchasenewassest/aprove/{id}', [PurchasenewassestController::class, 'aprove']);
        Route::POST('/purchasenewassest/reject/{id}', [PurchasenewassestController::class, 'reject']);
        Route::POST('/purchasenewassest/revice/{id}', [PurchasenewassestController::class, 'revice']);
        Route::POST('/purchasenewassest/requestQuote/{id}', [PurchasenewassestController::class, 'requestQuote']);

        //purchase request comments
        Route::post('/purchasenewassest/saveComment', [PurchasenewassestController::class, 'saveComment']);
        Route::get('/purchasenewassest/loadComments/{id}', [PurchasenewassestController::class, 'loadComments']);


        // purchasenewassestlist
        Route::get('/purchasenewassestlist/loadrequests', [PurchasenewassestlistController::class, 'loadrequests']);

        Route::delete('/purchasenewassestlist/delete/{id}', [PurchasenewassestlistController::class, 'delete']);


        // request
        Route::get('/request/loadrequests', [RequestController::class, 'loadrequests']);



        // depreciationShedule
        Route::get('/depreciationShedule/loadasset', [DepreciationShedulecontroller::class, 'loadasset']);
        Route::get('/depreciationShedule/loadassetid', [DepreciationShedulecontroller::class, 'loadassetid']);
        Route::get('/depreciationShedule/getassetnametoid/{id}', [DepreciationShedulecontroller::class, 'getassetnametoid']);
        Route::get('/depreciationShedule/getassetNotoid/{id}', [DepreciationShedulecontroller::class, 'getassetNotoid']);
        Route::get('/depreciationShedule/loadassettoprint/{id}', [DepreciationShedulecontroller::class, 'loadassettoprint']);


        // user role
        Route::post('/userrole/save', [UserroleController::class, 'save']);
        Route::post('/userrole/update', [UserroleController::class, 'update']);
        Route::get('/userrole/loaduserrole', [UserroleController::class, 'loaduserrole']);
        Route::get('/userrole/loaduserrole/{id}', [UserroleController::class, 'edituserrole']);
        Route::delete('/userrole/deleteuserrole/{id}', [UserroleController::class, 'deleteuserrole']);

        // UserAcess
        Route::get('/UserAcess/loadList/{id}', [UseracessController::class, 'loadList']);
        Route::post('/UserAcess/viewCeckBox/{id}', [UseracessController::class, 'viewCeckBox']);
        Route::post('/UserAcess/addCeckBox/{id}', [UseracessController::class, 'addCeckBox']);
        Route::post('/UserAcess/editCeckBox/{id}', [UseracessController::class, 'editCeckBox']);
        Route::post('/UserAcess/deleteCeckBox/{id}', [UseracessController::class, 'deleteCeckBox']);
        Route::post('/UserAcess/enableCeckBox/{id}', [UseracessController::class, 'enableCeckBox']);

        // Create User
        Route::post('/createuser/save', [CreateUsersController::class, 'save']);

        //print barcodes
        Route::get('/printBarcode/loadBarcodestoPrint', [PrintBarcodeController::class, 'loadBarcodestoPrint']);
        Route::get('/printBarcode/loadBarcodetoPrint/{id}', [PrintBarcodeController::class, 'loadBarcodetoPrint']);

        // Maintanance due list
        Route::get('/maintananceDueList/loadData', [MaintananceDueListReportController::class, 'loadData']);

        // Expire Applicable
        Route::get('/expireApplicableList/loadData', [ExpireApplicableListController::class, 'loadData']);

        // License Applicable
        Route::get('/licenseApplicableList/loadData', [LicenseApplicableListController::class, 'loadData']);

        // asset list report
        Route::get('/assetListReport/loadSites', [AssetListReportController::class, 'loadSites']);
        Route::get('/assetListReport/loadBuilding/{id}', [AssetListReportController::class, 'loadBuilding']);
        Route::get('/assetListReport/loadFloor/{id}', [AssetListReportController::class, 'loadFloor']);
        Route::get('/assetListReport/loadUnit/{id}', [AssetListReportController::class, 'loadUnit']);
        Route::get('/assetListReport/loadRoom/{id}', [AssetListReportController::class, 'loadRoom']);

        Route::get('/assetListReport/loadData', [AssetListReportController::class, 'loadData']);

        // purchaseNewAssestRejectList
        Route::get('/purchaseNewAssestRejectList/loadrequests', [PurchaseNewAssestRejectListController::class, 'loadrequests']);
    });
});
